Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 821787 - recutils: Gnulib bundled but no bundled(gnulib) provides
Summary: recutils: Gnulib bundled but no bundled(gnulib) provides
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: recutils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-15 13:57 UTC by Mikolaj Izdebski
Modified: 2012-06-15 12:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-17 05:40:37 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2012-05-15 13:57:55 UTC
A bundled copy of Gnulib - The GNU Portability Library [1] was found in
recutils. No Bundled Libraries section [2] of Packaging guidelines
gives more information on bundled libraries and how they should be handled.

Affected recutils version: recutils-1.5-1.fc18

As a kind of copylib, Gnulib has been granted an exception. However, to comply
with Packaging guidelines, packages bundling Gnulib must note that the library
has been granted an exception in the spec file comment with a link to the FPC
ticket where the exception was granted and add a virtual provide to the spec
file to note that Gnulib is bundled. Refer to [2] for more details.

No comment about bundling Gnulib and no virtual provide were found in the
recutils.spec file. To comply with the packaging guideliness please
add an appropriate comment to the spec file as well as a virtual provide.

Source tarball where bundled Gnulib was found:
    recutils-1.5.tar.gz

At least the following files look like Gnulib files:
    ./recutils-1.5/m4/00gnulib.m4
    ./recutils-1.5/m4/gnulib-comp.m4
    ./recutils-1.5/lib/Makefile.in
    ./recutils-1.5/lib/Makefile.am

There are most likely more Gnulib files bundled in the SRPM. I didn't bother
to list them all as it shouldn't be necessary.


[1] http://www.gnu.org/software/gnulib/
[2] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

Comment 1 Fedora Update System 2012-05-17 05:39:12 UTC
recutils-1.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/recutils-1.5-2.fc16

Comment 2 Fedora Update System 2012-05-17 05:39:21 UTC
recutils-1.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/recutils-1.5-2.fc15

Comment 3 Fedora Update System 2012-05-17 05:39:51 UTC
recutils-1.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/recutils-1.5-2.fc17

Comment 4 Fedora Update System 2012-06-15 12:30:19 UTC
recutils-1.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-06-15 12:33:49 UTC
recutils-1.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-06-15 12:34:49 UTC
recutils-1.5-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.